Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.jsp.context
Class JspTilesContextFactory

    java.lang.Object
      org.apache.tiles.servlet.context.ServletTilesContextFactory
          org.apache.tiles.jsp.context.JspTilesContextFactory

All Implemented Interfaces:
  TilesContextFactory, TilesRequestContextFactory, Initializable

Deprecated. Use `JspTilesRequestContextFactory`.

    public class JspTilesContextFactory

extends ServletTilesContextFactory

Creates an instance of the appropriate TilesApplicationContext implementation.

Version:
  $Rev: 711885 $ $Date: 2008-11-06 17:06:38 +0100 (gio, 06 nov 2008) $

Constructor Summary
`JspTilesContextFactory()` Deprecated. Do not use! No replacement.

Method Summary
`TilesRequestContext` | `createRequestContext(TilesApplicationContext context, java.lang.Object... requestItems)` Deprecated. Create a TilesRequestContext for the given context, request, and response.
`protected javax.servlet.ServletContext` | `getServletContext(TilesApplicationContext context)` Deprecated. Use `TilesApplicationContext.getContext()`.

Methods inherited from class org.apache.tiles.servlet.context.ServletTilesContextFactory
`createApplicationContext, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspTilesContextFactory

    @Deprecated
    public JspTilesContextFactory()

  Deprecated. Do not use! No replacement.

  Constructor.

Method Detail

### createRequestContext

    public TilesRequestContext createRequestContext(TilesApplicationContext context,
                                                    java.lang.Object... requestItems)

  Deprecated.
  Create a TilesRequestContext for the given context, request, and response.

  Specified by:
    `createRequestContext` in interface `TilesRequestContextFactory`
  Overrides:
    `createRequestContext` in class `ServletTilesContextFactory`
  Parameters:
    `context` - the associated `TilesApplicationContext`
    `requestItems` - the associated request items, typically a request and a response.
  Returns:
    TilesRequestContext

### getServletContext

    protected javax.servlet.ServletContext getServletContext(TilesApplicationContext context)

  Deprecated. Use `TilesApplicationContext.getContext()`.

  Returns the original servlet context.

  Overrides:
    `getServletContext` in class `ServletTilesContextFactory`
  Parameters:
    `context` - The application context.
  Returns:
    The original servlet context, if found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.